using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;


namespace BankContracts.BusinessLogicContracts
{
    public interface IPurchaseLogic
    {
        List<PurchaseViewModel> ReadList(PurchaseSearchModel? model = null);
        PurchaseViewModel ReadElement(PurchaseSearchModel model);
        bool Create(PurchaseBindingModel model);
        bool Update(PurchaseBindingModel model);
        bool Delete(PurchaseBindingModel model);
    }
}
